Bug 1119099 - "packagedb-cli list --user ... --branch ..." lists packages that don't have the specified branch
Summary: "packagedb-cli list --user ... --branch ..." lists packages that don't have t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: packagedb-cli
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 01:39 UTC by Jens Petersen
Modified: 2014-07-30 21:55 UTC (History)
2 users (show)

Fixed In Version: packagedb-cli-2.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-19 06:01:35 UTC


Attachments (Terms of Use)

Description Jens Petersen 2014-07-14 01:39:42 UTC
Description of problem:
If I run:

$ pkgdb-cli list --user haskell-sig --branch f21 --nameonly | grep ghc-Agda
   ghc-Agda

whereas in fact there is no ghc-Agda f21 branch:

https://admin.fedoraproject.org/pkgdb/package/ghc-Agda/

Version-Release number of selected component (if applicable):
packagedb-cli-2.3.1-2.fc20

How reproducible:
100%

Steps to Reproduce:
1. run
$ pkgdb-cli list --user USER --branch BRANCH | grep PKG
for PKG that does not have BRANCH

Actual results:
PKG is listed

Expected results:
PKG without BRANCH branch should not be listed by package-cli.

Additional info:
This seems to be a regression from the earlier behaviour -
so this seems to do due to changes on the server side AFAICT.

Comment 1 Pierre-YvesChibon 2014-07-14 07:34:28 UTC
I don't think this is a bug server side:
https://admin.fedoraproject.org/pkgdb/api/package/ghc-Agda

I suspect it is more a problem of using both arguments at the same time, I'll investigate.

Thanks for the report

Comment 2 Pierre-YvesChibon 2014-07-15 07:12:29 UTC
When you said that it was working before, did you mean in pkgdb2?
I suspect it never worked with pkgdb2.

I found that the easiest solution to this problem is to expand `/api/packager/package` [1] to support filtering per branch

I have just implemented it, I will update pkgdb-cli (it is a minor change) and make a new release as of both.

Thanks for the report!



[1] https://admin.fedoraproject.org/pkgdb/api/#user%27s_packages

Comment 3 Jens Petersen 2014-07-15 08:07:42 UTC
(In reply to Pierre-YvesChibon from comment #2)
> When you said that it was working before, did you mean in pkgdb2?

I am not certain but I thought the results had changed.
But maybe I only noticed the problem now after F21 branched.

> I found that the easiest solution to this problem is to expand
> `/api/packager/package` [1] to support filtering per branch
> 
> I have just implemented it, I will update pkgdb-cli (it is a minor change)
> and make a new release as of both.

Great thanks!

Comment 4 Pierre-YvesChibon 2014-07-15 11:48:25 UTC
Testing with the git version:

packagedb-cli]$ python pkgdb2_cli.py list --user haskell-sig --branch f21 --nameonly | grep ghc-Agda      
   ghc-Agda
packagedb-cli]$ python pkgdb2_cli.py --test list --user haskell-sig --branch f21 --nameonly | grep ghc-Agda
packagedb-cli]$ python pkgdb2_cli.py list --user haskell-sig --branch f21 --nameonly | wc -l               
282
packagedb-cli]$ python pkgdb2_cli.py --test list --user haskell-sig --branch f21 --nameonly | wc -l       
255



Note: --test queries https://admin.stg.fedoraproject.org/pkgdb which is the pre-prod instance (staging) instead of the prod one.
Stg runs 1.15, while prod still has 1.14.4 :)

Comment 5 Pierre-YvesChibon 2014-07-15 13:36:22 UTC
pkgdb in prod updated.

Comment 6 Fedora Update System 2014-07-15 15:20:36 UTC
packagedb-cli-2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/packagedb-cli-2.4-1.fc20

Comment 7 Fedora Update System 2014-07-15 15:20:42 UTC
packagedb-cli-2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/packagedb-cli-2.4-1.fc19

Comment 8 Fedora Update System 2014-07-15 15:20:48 UTC
packagedb-cli-2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/packagedb-cli-2.4-1.el6

Comment 9 Jens Petersen 2014-07-16 02:56:56 UTC
Thanks looks good now!

Probably good to build it for epel7 too. :)

Comment 10 Fedora Update System 2014-07-16 03:51:33 UTC
Package packagedb-cli-2.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing packagedb-cli-2.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1904/packagedb-cli-2.4-1.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-07-19 06:01:35 UTC
packagedb-cli-2.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-07-30 19:34:43 UTC
packagedb-cli-2.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-07-30 21:55:28 UTC
packagedb-cli-2.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.